<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'InvalidCredentialsException' => '\\StructType\\InvalidCredentialsException',
            'InvalidDataException' => '\\StructType\\InvalidDataException',
            'RemoteException' => '\\StructType\\RemoteException',
            'StorageException' => '\\StructType\\StorageException',
            'changeDatabase' => '\\StructType\\ChangeDatabase',
            'changeFilestore' => '\\StructType\\ChangeFilestore',
            'checkDatabase' => '\\StructType\\CheckDatabase',
            'checkDatabaseResponse' => '\\StructType\\CheckDatabaseResponse',
            'createMaintenanceReason' => '\\StructType\\CreateMaintenanceReason',
            'createMaintenanceReasonResponse' => '\\StructType\\CreateMaintenanceReasonResponse',
            'createSchema' => '\\StructType\\CreateSchema',
            'createSchemaResponse' => '\\StructType\\CreateSchemaResponse',
            'deleteMaintenanceReason' => '\\StructType\\DeleteMaintenanceReason',
            'listAllDatabase' => '\\StructType\\ListAllDatabase',
            'listAllDatabaseResponse' => '\\StructType\\ListAllDatabaseResponse',
            'listAllFilestore' => '\\StructType\\ListAllFilestore',
            'listAllFilestoreResponse' => '\\StructType\\ListAllFilestoreResponse',
            'listAllMaintenanceReason' => '\\StructType\\ListAllMaintenanceReason',
            'listAllMaintenanceReasonResponse' => '\\StructType\\ListAllMaintenanceReasonResponse',
            'listAllServer' => '\\StructType\\ListAllServer',
            'listAllServerResponse' => '\\StructType\\ListAllServerResponse',
            'listDatabase' => '\\StructType\\ListDatabase',
            'listDatabaseResponse' => '\\StructType\\ListDatabaseResponse',
            'listFilestore' => '\\StructType\\ListFilestore',
            'listFilestoreResponse' => '\\StructType\\ListFilestoreResponse',
            'listMaintenanceReason' => '\\StructType\\ListMaintenanceReason',
            'listMaintenanceReasonResponse' => '\\StructType\\ListMaintenanceReasonResponse',
            'listServer' => '\\StructType\\ListServer',
            'listServerResponse' => '\\StructType\\ListServerResponse',
            'registerDatabase' => '\\StructType\\RegisterDatabase',
            'registerDatabaseResponse' => '\\StructType\\RegisterDatabaseResponse',
            'registerFilestore' => '\\StructType\\RegisterFilestore',
            'registerFilestoreResponse' => '\\StructType\\RegisterFilestoreResponse',
            'registerServer' => '\\StructType\\RegisterServer',
            'registerServerResponse' => '\\StructType\\RegisterServerResponse',
            'unblockDatabase' => '\\StructType\\UnblockDatabase',
            'unblockDatabaseResponse' => '\\StructType\\UnblockDatabaseResponse',
            'unregisterDatabase' => '\\StructType\\UnregisterDatabase',
            'unregisterFilestore' => '\\StructType\\UnregisterFilestore',
            'unregisterServer' => '\\StructType\\UnregisterServer',
            'Exception' => '\\StructType\\Exception',
            'IOException' => '\\StructType\\IOException',
            'Database' => '\\StructType\\Database',
            'Filestore' => '\\StructType\\Filestore',
            'Server' => '\\StructType\\Server',
            'Credentials' => '\\StructType\\Credentials',
            'MaintenanceReason' => '\\StructType\\MaintenanceReason',
            'CheckedDatabases' => '\\StructType\\CheckedDatabases',
        );
    }
}
